Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228619 - lvm service fails to relocate
Summary: lvm service fails to relocate
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Cluster Suite
Classification: Retired
Component: rgmanager
Version: 4
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jonathan Earl Brassow
QA Contact: Cluster QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-13 23:51 UTC by Corey Marthaler
Modified: 2009-04-16 20:05 UTC (History)
1 user (show)

Fixed In Version: RHBA-2007:0149
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-06-15 18:33:48 UTC


Attachments (Terms of Use)

Description Corey Marthaler 2007-02-13 23:51:28 UTC
Description of problem:

[root@kool ~]# clustat
Member Status: Quorate

  Member Name                              Status
  ------ ----                              ------
  kool                                     Online, Local, rgmanager
  salem                                    Online, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  EXT3 SERVICE         kool                           started
[root@kool ~]# clusvcadm -r "EXT3 SERVICE" -m salem
Trying to relocate EXT3 SERVICE to salem...failed
[root@kool ~]# clustat
Member Status: Quorate

  Member Name                              Status
  ------ ----                              ------
  kool                                     Online, Local, rgmanager
  salem                                    Online, rgmanager

  Service Name         Owner (Last)                   State
  ------- ----         ----- ------                   -----
  EXT3 SERVICE         (kool)                         failed


Feb 13 17:39:30 kool clurgmgrd[4815]: <notice> Service EXT3 SERVICE started
Feb 13 17:39:39 kool clurgmgrd: [4815]: <notice> /dev/vg/mirror is active
Feb 13 17:47:35 kool clurgmgrd[4815]: <notice> Stopping service EXT3 SERVICE
Feb 13 17:47:36 kool clurgmgrd: [4815]: <info> unmounting /mnt/ext
Feb 13 17:47:36 kool clurgmgrd[4815]: <notice> stop on lvm:mylvm returned 2
(invalid argument(s))
Feb 13 17:47:36 kool clurgmgrd[4815]: <crit> #12: RG EXT3 SERVICE failed to
stop; intervention required
Feb 13 17:47:36 kool clurgmgrd[4815]: <notice> Service EXT3 SERVICE is failed
Feb 13 17:47:36 kool clurgmgrd[4815]: <warning> #70: Attempting to restart
service EXT3 SERVICE locally.
Feb 13 17:47:36 kool clurgmgrd[4815]: <err> #43: Service EXT3 SERVICE has
failed; can not start.
Feb 13 17:47:36 kool clurgmgrd[4815]: <alert> #2: Service EXT3 SERVICE returned
failure code.  Last Owner: kool
Feb 13 17:47:36 kool clurgmgrd[4815]: <alert> #4: Administrator intervention
required.

Comment 1 Jonathan Earl Brassow 2007-02-15 20:58:51 UTC
fixed


Comment 2 Corey Marthaler 2007-06-06 19:02:00 UTC
Marking this verified. LVM services relocate just fine with the latest code.


Note You need to log in before you can comment on or make changes to this bug.